CapitalGuesser <- function(questions.number = 5) {
  ## I would like to introduce you to: CapitalGuesser
  ## It's been a couple of years since your last geography lesson 
  ## and to cure your curiosity of discovering new places.
  ## This is a geography game to test your knowledge on capital cities.
  ## ------------------------------------------------------------------
  ## Usage: CapitalGuesser(5) for five questions
  ## ------------------------------------------------------------------
  ## Version 211109 LR
  ## ------------------------------------------------------------------
  ## Wish-List:
  ## ------------------------------------------------------------------
  
  ## What we need
  CapitalCity <- read.csv("Data/CapitalCities.csv", header = TRUE)
  # A list of cities and the capitals

  # Introduction
  print("=== Hi, welcome to CapitalGuesser! ===", quote = F)
  
  #Set points to 0 before each quiz
  counter <- 0
  # Produces multiple questions (based on questions.number)
  for (i in 1:questions.number) {
    # Select a country randomly
    random.number <- sample(1:length(CapitalCity$country), 1)
    q.country     <- CapitalCity$country[random.number]
    q.capital     <- CapitalCity$capital[random.number]
    # User Input
    user.choice   <-
      readline(prompt = paste("Captial of ", q.country, ": ", sep = ""))
    # Check if Input is correct
    ifelse(tolower(user.choice) == tolower(q.capital),
           counter <- counter + 1,
           print(paste("Sorry, that is wrong. The correct answer is ",q.capital, ".", sep = ""))
    )
  }
  # Print final number of points
  print(paste("End. You scored", counter, "point(s)."))
}
